classification
Title: Documentation Std. Library 15.7.5 "LogRecord objects": Parameters: level(currently wrong) -> levelno (correct)
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vinay.sajip Nosy List: docs@python, mponweiser, petri.lehtinen, python-dev, vinay.sajip
Priority: normal Keywords: patch

Created on 2011-05-29 10:46 by mponweiser, last changed 2011-06-13 14:00 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
patch12206.diff vinay.sajip, 2011-06-11 21:56
Messages (7)
msg137178 - (view) Author: Martin Ponweiser (mponweiser) Date: 2011-05-29 10:46
I hope the title is self-explanatory.
msg137246 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-05-30 08:10
The name of the "level" parameter to LogRecord constructor is correct in the documentation (I checked the code). The only inconsitency that I see is that the corresponding attribute name of LogRecord is "levelno".
msg137247 - (view) Author: Martin Ponweiser (mponweiser) Date: 2011-05-30 08:28
You are right, I should have looked closer -- sorry to all involved.
Nevertheless this caused some confusion here. I guess mentioning the
inconsistency in the documentation is out of the question.

On Mon, May 30, 2011 at 10:10 AM, Petri Lehtinen <report@bugs.python.org>wrote:

>
> Petri Lehtinen <petri@digip.org> added the comment:
>
> The name of the "level" parameter to LogRecord constructor is correct in
> the documentation (I checked the code). The only inconsitency that I see is
> that the corresponding attribute name of LogRecord is "levelno".
>
> ----------
> nosy: +petri.lehtinen
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue12206>
> _______________________________________
>
msg137248 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-05-30 08:33
Martin Ponweiser wrote:
> I guess mentioning the inconsistency in the documentation is out of
> the question.

No, not at all. If you have a good wording in your mind, please share
it :) Or even better, write a patch.
msg138184 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2011-06-11 21:56
Attached is a simple patch clarifying that the level argument in the constructor maps to the two LogRecord attributes, levelno and levelname,
msg138187 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-11 22:04
New changeset bb6fe43191c0 by Vinay Sajip in branch '3.2':
Issue #12206: documentation for LogRecord constructor updated re. the level argument.
http://hg.python.org/cpython/rev/bb6fe43191c0

New changeset 596adf14914c by Vinay Sajip in branch 'default':
Merged documentation update for issue #12206.
http://hg.python.org/cpython/rev/596adf14914c
msg138247 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-13 14:00
New changeset 5fbf0d010276 by Vinay Sajip in branch '2.7':
Closes #12206: documentation update for LogRecord constructor and Formatter.formatTime.
http://hg.python.org/cpython/rev/5fbf0d010276
History
Date User Action Args
2011-06-13 14:00:44python-devsetstatus: open -> closed

resolution: fixed
messages: + msg138247
stage: resolved
2011-06-12 20:28:14eric.araujosetfiles: - unnamed
2011-06-11 22:06:59vinay.sajipsetassignee: docs@python -> vinay.sajip
2011-06-11 22:04:43python-devsetnosy: + python-dev
messages: + msg138187
2011-06-11 21:56:33vinay.sajipsetfiles: + patch12206.diff
keywords: + patch
messages: + msg138184
2011-05-30 08:33:18petri.lehtinensetmessages: + msg137248
2011-05-30 08:28:29mponweisersetfiles: + unnamed

messages: + msg137247
2011-05-30 08:10:14petri.lehtinensetnosy: + petri.lehtinen
messages: + msg137246
2011-05-29 16:44:08r.david.murraysetnosy: + vinay.sajip
2011-05-29 10:46:59mponweisercreate